#sideNav{
    width: 250px;
    height: 100vh;
    position: fixed;
    right: -250px;
    top: 0;
    background: #FDFD96;
    z-index: 2;
    transition: 0.5s;

}
nav ul li{
    list-style: none;
    margin: 50px 20px;
}
nav ul li a{
    text-decoration: none;
    color: #070000;
}

#menuBtn{
    width: 50px;
    height: 50px;
    text-align: center;
    position: fixed;
    right: 60px;
    top: 35px;
    border-radius: 3px;
    z-index: 3;
    cursor: pointer;
}

#menuBtn img{
    width: 60px;
}

#menuBtn img:hover{
    filter: invert(25%);
}

@media screen and (max-width: 770px){
    .banner-text h1{
        font-size: 44px;
    }
    .banner-btn a{
        display: block;
        margin: 20px auto;
    }
}
/*--feature--*/
#feature{
    width: 100%;
    padding: 70px 0;
}

.banner {
    background-color:springgreen
}

.line {
    border-style: dotted;
    border-width: 0px 0px 3px 0px
}

.donations {
    border-style: solid;
    border-width: 2px
}

.donations:hover {
    background-color: lightgoldenrodyellow;
}

#Name {
    font-family: Andale Mono, monospace;
}

a:link {
    color: black;
    background-color: transparent;
    text-decoration: none;
  }

a:visited {
    color: black;
    background-color: transparent;
    text-decoration: none;
}

a:hover {
    color: black;
    background-color: transparent;
    text-decoration: none;
}

a:active {
    color: black;
    background-color: transparent;
    text-decoration: none;
}



#recipeButton {
    background-color: springgreen;
}

.meal-list{
    height: 100px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

.meal-list li {
    display: inline-block; /* Display list items in a row */
    width: calc(33.33% - 20px); /* Each item takes up a third of the width, with a gap */
    margin: 10px; /* Add spacing around each item */
    vertical-align: top; /* Align items at the top */
    box-sizing: border-box; /* Include padding and border in the width */
    border: 1px solid #ccc; /* Add border for each item */
    padding: 10px; /* Add padding */
    font-size: 20px;
    text-align: center;
    cursor: pointer;
}
.meal-list li img{
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto 10px;
    transition: transform 0.3s, box-shadow 0.3s;
}

.meal-list li:hover img {
    transform: scale(1.1); /* Increase size by 10% */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3); /* Add shadow effect */
}

/* Style paragraph elements containing recipe names */
.meal-list li p {
    font-size: 18px; /* Set the font size to 18 pixels */
    margin-bottom: 5px; /* Add some space below the paragraph */
}

#recipeTitle{
    text-align: center;
    padding: 10px;
}

.input-container{
    max-width: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
}
.options {
    border-style: solid;
    border-width: 3px;
    border-radius: 10px;
    box-shadow: 5px 5px springgreen
}

.meal-list li img {
    max-width: 100%; /* Set maximum width to 100% of the container */
    height: auto; /* Allow the height to adjust proportionally */
    display: block; /* Make the image a block-level element */
    margin: 0 auto 10px; /* Center the image horizontally and add some space below */
}

.spinner {
    width: 50px;
    height: 50px;
    margin: auto;
    border: 4px solid gray;
    border-radius: 50%;
    border-left-color: green;
    animation: spin 1s infinite linear;
}

@keyframes spin {
    100% { transform: rotate(360deg); }
    0% { transform: rotate(0deg); }
}